CATCLOSE(3P)

NAME
catclose - close a message catalog descriptor

SYNOPSIS

#include <nl_types.h>

int catclose(nl_catd catd);

DESCRIPTION

The catclose() function shall close the message catalog identified by catd. If a file descriptor is used to implement the type nl_catd, that file descriptor shall be closed.

RETURN VALUE

Upon successful completion, catclose() shall return 0; otherwise, -1 shall be returned, and errno set to indicate the error.

ERRORS

The catclose() function may fail if:

EBADF
    The catalog descriptor is not valid.

EINTR
    The catclose() function was interrupted by a signal.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

catgets() , catopen() , the Base Definitions volume of IEEE Std 1003.1-2001, <nl_types.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .